Package org.springframework.test.web.reactive.server

# Interface WebTestClient.MockServerSpec<B extends WebTestClient.MockServerSpec<B>>

Type Parameters:
  `B` - a self reference to the builder type

All Known Subinterfaces:
  `WebTestClient.ControllerSpec`, `WebTestClient.RouterFunctionSpec`

Enclosing interface:
  WebTestClient

public static interface WebTestClient.MockServerSpec<B extends WebTestClient.MockServerSpec<B>>
Base specification for setting up tests without a server.

## Method Summary

Modifier and Type
Method
Description
`<T extends B>
T`
`apply(MockServerConfigurer configurer)`
Shortcut for pre-packaged customizations to the mock server setup.
`WebTestClient`
`build()`
Shortcut to build the test client.
`WebTestClient.Builder`
`configureClient()`
Proceed to configure and build the test client.
`<T extends B>
T`
`webFilter(org.springframework.web.server.WebFilter... filter)`
Register `WebFilter` instances to add to the mock server.
`<T extends B>
T`
`webSessionManager(org.springframework.web.server.session.WebSessionManager sessionManager)`
Provide a session manager instance for the mock server.

## Method Details

### webFilter

<T extends B> T webFilter(org.springframework.web.server.WebFilter... filter)
Register `WebFilter` instances to add to the mock server.

Parameters:
  `filter` - one or more filters

### webSessionManager

<T extends B> T webSessionManager(org.springframework.web.server.session.WebSessionManager sessionManager)
Provide a session manager instance for the mock server.

By default an instance of `DefaultWebSessionManager` is used.

Parameters:
  `sessionManager` - the session manager to use

### apply

<T extends B> T apply(MockServerConfigurer configurer)
Shortcut for pre-packaged customizations to the mock server setup.

Parameters:
  `configurer` - the configurer to apply

### configureClient

WebTestClient.Builder configureClient()
Proceed to configure and build the test client.

### build

WebTestClient build()
Shortcut to build the test client.